1. Pay-In
Mozarto - The Payments Orchestration Platform
  • 1. Introduction
  • 2. Quick Start
  • 3. Authentication
  • 4. Webhook Setup
  • 5. Errors
  • 6. Redirect flow
    • Pay-In Flow
    • Pay-Out Flow
  • 7. Payment Providers (PSPs)
    • Overview
    • Brite
    • Cleo
    • Contiant
    • emerchantpay
    • Flexepin
    • ForumPay
    • Gigadat
    • Neosurf
    • PayOne
    • PawaPay
    • Trust Payments
    • Worldpay
  • 8. Redirect Flow APIs
    • Redirect Flow APIs - overview
    • Pay-In
      • Brite
        POST
      • Cleo
        POST
      • Contiant
        POST
      • emerchantpay
        POST
      • Flexepin
        POST
      • Forumpay
        POST
      • Gigadat
        POST
      • Neosurf
        POST
      • PayOne
        POST
      • PawaPay
        POST
      • Trust Payments
        POST
      • WorldPay
        POST
    • Pay-Out
      • Cleo
      • Gigadat withdraw ETO
      • Gigadat withdraw ACH
      • Forumpay
      • PayOne
      • PawaPay
  • Webhook
    • Payone status webhook
  • Schemas
    • TransactionData
  1. Pay-In

Brite

Prod Env
https://backend.app.mozarto.io
Prod Env
https://backend.app.mozarto.io
POST
/v1/api/mozarto/cashier

Request

Header Params

Body Params application/json

Example
{
  "pspType": "BRITE",
  "type": "PAYIN",
  "baseamount": 10,
  "userId": "user_123",
  "country": "Finland",
  "countryCode": "FI",
  "currency": "EUR",
  "merchantReference": "BT-PAYIN-001",
  "testMode": true
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.app.mozarto.io/v1/api/mozarto/cashier' \
--header 'Authorization: Bearer {{BRAND_TOKEN}}' \
--header 'x-user-token: Bearer {{USER_TOKEN}}' \
--header 'Content-Type: application/json' \
--data '{
  "pspType": "BRITE",
  "type": "PAYIN",
  "baseamount": 10,
  "userId": "user_123",
  "country": "Finland",
  "countryCode": "FI",
  "currency": "EUR",
  "merchantReference": "BT-PAYIN-001",
  "testMode": true
}'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "status": "success",
  "message": "Transaction successfully processed",
  "isSuccess": true,
  "data": {
    "id": "ag9ofmFib25lYS0xNzYyMTNy...",
    "token": "eyJpZCI6ICJhZzlvZm1G...",
    "url": "https://sandbox.britepaymentgroup.com/eyJpZCI6...",
    "redirectUrl": "https://sandbox.britepaymentgroup.com/eyJpZCI6...",
    "sessionId": "ag9ofmFib25lYS0xNzYyMTNy...",
    "transactionId": "6a4cf9020848a21b6b125750",
    "merchantReference": "BT-PAYIN-001",
    "amount": 1,
    "transaction_status": "Pending"
  }
}
🟠400
🔴500
Modified at 2026-07-28 13:27:15
Previous
Redirect Flow APIs - overview
Next
Cleo
Built with